Bills
List Bill records (v1)
Retrieve a paginated list of Bill records with filtering and ordering options.
GET
/
public
/
v1
/
bills
/
List Bill records
curl --request GET \
--url https://api.dualentry.com/public/v1/bills/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/bills/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/bills/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"supply_date": "2023-12-25",
"tax": {
"data": {}
},
"transaction_ids": [
123
],
"term_id": 123,
"term_name": "<string>",
"internal_id": 123,
"number": 123,
"date": "2023-12-25",
"transaction_date": "2023-12-25",
"due_date": "2023-12-25",
"company_id": 123,
"company_name": "<string>",
"company_currency": "<string>",
"vendor_id": 123,
"vendor_name": "<string>",
"exchange_rate": "<string>",
"memo": "<string>",
"amount": "<string>",
"amount_due": "<string>",
"paid_total": "<string>",
"items": [
{
"id": 123,
"position": 123,
"item_id": 123,
"memo": "<string>",
"rate": "<string>",
"quantity": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
},
"classifications": [],
"company_id": 123,
"item_type": "<string>",
"hsn_sac_code": "<string>",
"amortizable_assets": [],
"fixed_assets": []
}
],
"expenses": [
{
"id": 123,
"position": 123,
"rate": "<string>",
"quantity": "<string>",
"account_number": 123,
"expense_description": "<string>",
"net_amount": "<string>",
"tax_amount": "<string>",
"gross_amount": "<string>",
"amount": "<string>",
"tax": {
"code": "<string>",
"rate": "<string>",
"amount": "<string>",
"is_taxable": true,
"tax_exempt_amount": "<string>",
"vat_rate_id": 123,
"gst_tax_rate_id": 123,
"tax_components": [
{
"rate": "<string>",
"amount": "<string>",
"position": 123,
"region": "<string>"
}
],
"amount_with_tax": "<string>",
"rate_name": "<string>",
"rate_type": "<string>",
"tax_treatment": "<string>"
},
"classifications": [],
"customer_id": 123,
"vendor_id": 123,
"company_id": 123,
"amortizable_assets": [],
"fixed_assets": [],
"customer_name": "<string>",
"vendor_name": "<string>"
}
],
"recurring_record_number": 123,
"purchase_order_number": 123,
"reference_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"custom_fields": [],
"place_of_supply": "<string>",
"tax_registration_numbers": {
"company": [
{
"type": "<string>",
"number": "<string>",
"region": "<string>"
}
],
"counterparty": [
{
"type": "<string>",
"number": "<string>",
"region": "<string>"
}
]
},
"attachments": [],
"bank_match_status": "<string>",
"reconciliation_status": "<string>",
"created_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"updated_by": {
"actor_type": "<string>",
"email": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
},
"approval_status": "<string>",
"next_approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"avatar_url": "<string>"
}
],
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
}
}
],
"count": 123
}{
"errors": {},
"success": false
}Authorizations
Query Parameters
Available options:
draft, posted, archived Number of records to return per page (capped at 100)
Required range:
x >= 1Number of records to skip before starting to return results
Required range:
x >= 0Last modified on July 13, 2026
Was this page helpful?
⌘I
List Bill records
